= content_for :title do
  / page title (h2)
  / BEGIN
  = t('posts.title')
  / END

table.table.table-striped.table-hover.mb-5
  thead
    tr
      th{ scope: :col } #
      th{ scope: :col }
        / table title
        / BEGIN
        = t('posts.header.title')
        / END
      th { scope: :col }
        = t('posts.header.comments')
      th { scope: :col}
        = t('posts.header.actions')

  tbody
    - @posts.each_with_index do |post, i|
      tr
        th{ scope: :col } = i + 1
        td = post.title[0..30]
        td
          / comments count
          / BEGIN
          = t('posts.comments.count', count: post.comments.count)
          / END
        td.d-flex
          / posts links
          / BEGIN
          .me-4 = link_to t('show'), post
          .me-4 = link_to t('edit'), edit_post_path(post)
          = link_to t('destroy'), post, data: { confirm: 'Are you sure?' }, method: :delete
          / END

/ new post link
= link_to new_post_path, id: 'new-post-link', class: 'btn btn-primary' do
  / BEGIN
  = t('new')
  / END
